Subject: Re: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Apr 2019 13:09:29 +0300

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Mon, 22 Apr 2019 12:48:20 +0300
> 
> On 22.04.2019 12:42, Eli Zaretskii wrote:
> 
> > I'm not sure I follow: currently, mouse-2 does "follow the link"
> > already,
> 
> It calls xref--mouse-2, see xref--button-map.
> 
> That function displays the location, but keeps the Xref window selected.
> 
> > and I believe this bug report will be satisfied if we cause
> > mouse-1 to do the same when mouse-1-click-follows-link is in effect.
> > And mouse-1 is not currently bound in Xref buffers.
> 
> ??
> 
> It's bound to xref-goto-xref, see the same map.

Sorry, I just looked in the manual.

So we already support mouse-1 clicks, don't we?  Or am I again missing
something?